Debian Bug report logs - #639342
mono: please add armhf support [PATCH]

version graph

Package: mono; Maintainer for mono is Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Fri, 26 Aug 2011 06:30:02 UTC

Severity: important

Tags: patch

Found in version 2.6.7-5

Fixed in versions 2.10.5-2, 2.10.1-2

Done: Mirco Bauer <meebey@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#639342; Package mono. (Fri, 26 Aug 2011 06:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Fri, 26 Aug 2011 06:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: mono: please add armhf support [PATCH]
Date: Fri, 26 Aug 2011 09:28:06 +0300
[Message part 1 (text/plain, inline)]
Package: mono
Version: 2.6.7-5
Severity: important
Tags: patch

The package builds fine on armhf with the attached patch. Strangely, I
had to patch a file in the source as well
(mcs/tools/prj2make/MsPrjHelper.cs) as I was getting CS0221 and CS664
errors due to casting problems. Perhaps that's a problem only with the
armhf side??

Anyway, I've already uploaded the patched package to debian-ports, as
a test to see if it can actually build mono packages successfully.

Regards

Konstantinos
[mono_armhf.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#639342; Package mono. (Fri, 26 Aug 2011 18:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jo Shields <directhex@apebox.org>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Fri, 26 Aug 2011 18:24:07 GMT) Full text and rfc822 format available.

Message #10 received at 639342@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 639342@bugs.debian.org
Subject: Re: [pkg-mono-group] Bug#639342: mono: please add armhf support [PATCH]
Date: Fri, 26 Aug 2011 19:13:22 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
On 26/08/2011 07:28, Konstantinos Margaritis wrote:
> Package: mono
> Version: 2.6.7-5
> Severity: important
> Tags: patch
>
> The package builds fine on armhf with the attached patch. Strangely, I
> had to patch a file in the source as well
> (mcs/tools/prj2make/MsPrjHelper.cs) as I was getting CS0221 and CS664
> errors due to casting problems. Perhaps that's a problem only with the
> armhf side??
>
> Anyway, I've already uploaded the patched package to debian-ports, as
> a test to see if it can actually build mono packages successfully.
 
I did some testing locally with the current version we're working on (in
Experimental) on my EfikaMX. I wasn't entirely satisfied with the
results - if you look at your build logs, you'll see that all the tests
running via the new "sgen" garbage collector fail, and the number of
failed tests for the old Boehm GC is higher than with armel. I think
there are some outstanding issues to work on.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
 
iQEcBAEBAgAGBQJOV+JBAAoJEMkPnLkOH60M7YcIAL5iYREC9441xd3K6VvVorcg
7FPGrhV8Sbut09Te9BRBNhuBx13KDpXpKRkz6hXsI4KAPEeUai9UY9OWwP2U+oSG
HIi9PDZSLc3UuY25ivYxOp6/S6lO9EQpoiuwsYxfDSxH+y1dLI/IhslEG6atS7ZP
LiUecuuVRZnMXulNH2jePiWFcYlje9jKzcuKwXdvEJlvYkLjsQoIwMRK4S/P436k
JsRM77g+XsnurVkOgwokt8oPr/B+FttntzS2MPsMwjFIu8b6JgMu+HxloxBcYxnb
1yjGh2q1tKg80eR8Sg2innOcDRJ3I0KsMW0eWgYNtaDCRmtckzu0cFxkcr9LPPQ=
=Gucu
-----END PGP SIGNATURE-----





Bug Marked as fixed in versions 2.10.1-2. Request was from Mirco Bauer <meebey@debian.org> to control@bugs.debian.org. (Sun, 05 Feb 2012 17:15:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.10.5-2. Request was from Mirco Bauer <meebey@debian.org> to control@bugs.debian.org. (Sun, 05 Feb 2012 17:15:06 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Konstantinos Margaritis <markos@genesi-usa.com> Request was from Mirco Bauer <meebey@debian.org> to control@bugs.debian.org. (Sun, 05 Feb 2012 17:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#639342; Package mono. (Sun, 05 Feb 2012 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <meebey@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Sun, 05 Feb 2012 17:39:05 GMT) Full text and rfc822 format available.

Message #21 received at 639342@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: 638366@bugs.debian.org, 639342@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Fixed in mono 2.10.1-2 (experimental) and mono 2.10.5-2 (unstable)
Date: Sun, 05 Feb 2012 18:11:02 +0100
fixed 638366 2.10.1-2
fixed 638366 2.10.5-2
close 638366
fixed 639342 2.10.1-2
fixed 639342 2.10.5-2
close 639342
thanks

This was fixed with the upload of mono 2.10.1-2 to experimental and in
unstable with the upload of mono 2.10.5-2

-- 
Regards,

Mirco 'meebey' Bauer

PGP-Key ID: 0xEEF946C8

FOSS Developer    meebey@meebey.net  http://www.meebey.net/
PEAR Developer    meebey@php.net     http://pear.php.net/
Debian Developer  meebey@debian.org  http://www.debian.org/





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Mar 2012 07:36:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:33:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.